Buckets

Update bucket

Update bucket configuration (name, public/private status, settings). Accepts: OrgBearerAuth (for admin users), ProjectBearerAuth (JWT for authenticated users), or ApiKeyAuth (X-API-Key for programmatic access). Both ProjectBearerAuth and ApiKeyAuth are fully implemented.

AuthBearer (JWT)
GroupBuckets
Rate limitSee Rate Limits
PATCH/api/bucket/projects/{projectId}/buckets/{bucketId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, BucketsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const buckets = new BucketsApi(configuration);
import { Configuration, BucketsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const buckets = new BucketsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await buckets.updateBucket(
  "proj_Aze62MqROvhx",
  "EZQVgLQmTw1f8NHx",
  {
    name: "Alyssa McClure",
    isPublic: false,
    settings: "circuit index"
  }
);
const { data: result } = await buckets.updateBucket(
  "proj_Aze62MqROvhx",
  "EZQVgLQmTw1f8NHx",
  {
    name: "Alyssa McClure",
    isPublic: false,
    settings: "circuit index"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
bucketIdstringYes

Request Body

json
{
  "name": "Johnathan Torp I",
  "isPublic": false,
  "settings": {}
}
{
  "name": "Johnathan Torp I",
  "isPublic": false,
  "settings": {}
}

Responses

200Bucket updated successfully
json
{
  "success": true,
  "message": "Bucket updated successfully",
  "bucket": {
    "_id": "65a1b2c3d4e5f6789012345a",
    "name": "my-bucket-updated",
    "project": "685ad30be129932fbb7a1047",
    "isPublic": true,
    "settings": {},
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
{
  "success": true,
  "message": "Bucket updated successfully",
  "bucket": {
    "_id": "65a1b2c3d4e5f6789012345a",
    "name": "my-bucket-updated",
    "project": "685ad30be129932fbb7a1047",
    "isPublic": true,
    "settings": {},
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
400
401
403
409
429
500

Errors

CodeMeaning
400
401
403
409
429
500
Edit this page on GitHub